%%%%%%%%%
%%% generates figures 1 and 3



dynare GM_monetary_tar_rigid_GAP;
dynare GM_monetary_tar_flex;
dynare GM_monetary_tar_rigid_ass_GAP;

verzeichnis='figures\';

load tar_stat_rigid_GAP.mat
M_rigid_GAP=M/M(1)*100-100;
Me_rigid_GAP=Me/Me(1)*100-100;
X_rigid_GAP=X/X(1)*100-100;
R_rigid_GAP=R/R(1)*100-100;
GDP_rigid_GAP=GDP/GDP(1)*100-100;
Imp_rigid_GAP=Imp/Imp(1)*100-100;
Dom_rigid_GAP=Dom/Dom(1)*100-100;
Ex_rigid_GAP=EX/EX(1)*100-100;
%pai_rigid_GAP=pai_d/pai_d(1)*100-100;
%paix_rigid_GAP=pai_x/pai_x(1)*100-100;
tariff_rigid_GAP=tariff/tariff(1)*100-100;
M_star_rigid_GAP=M_star/M_star(1)*100-100;
Me_star_rigid_GAP=Me_star/Me_star(1)*100-100;
X_star_rigid_GAP=X_star/X_star(1)*100-100;
R_star_rigid_GAP=R_star/R_star(1)*100-100;
%GDP_star_rigid_GAP=GDP_star/GDP_star(1)*100-100;
%Dom_star_rigid_GAP=Dom_star/Dom_star(1)*100-100;
%pai_star_rigid_GAP=pai_d_star/pai_d_star(1)*100-100;
%paix_star_rigid_GAP=pai_x_star/pai_x_star(1)*100-100;
% tariff_star_rigid_GAP=tariff_star/tariff_star(1)*100-100;
Q_rigid_GAP=Q/1*100-100;
% tb_rigid_GAP=tb./GDP(1)*100;
% tb_star_rigid_GAP=(-1)*tb./GDP_star(1)*100;
tb_rigid_GAP=tb./R(1)*100;
tb_star_rigid_GAP=(-1)*tb./R_star(1)*100;
debt_rigid_GAP=(-A-Q.*A_star)/R(1)*100;
% debt_rigid_GAP=(-A-Q.*A_star)/GDP(1)*100;

PAI_rigid_GAP=PAI*100;
PAI_data_rigid_GAP=PAI_data*100;
PAID_rigid_GAP=PAID_data*100;
PAIX_rigid_GAP=PAIX*100;
PAIImp_rigid_GAP=PAIImp*100;
PAIImpH_rigid_GAP=PAIImpH*100;
PAIXH_rigid_GAP=PAIXH*100;
INT_rigid_GAP=INT/INT(1)*100-100;
RINT_rigid_GAP=RINT/RINT(1)*100-100;
PAIS_rigid_GAP=PAIS*100;
W_rigid_GAP=W/W(1)*100-100;

load tar_stat_ass_GAP.mat
M_ass_GAP=M/M(1)*100-100;
Me_ass_GAP=Me/Me(1)*100-100;
X_ass_GAP=X/X(1)*100-100;
R_ass_GAP=R/R(1)*100-100;
GDP_ass_GAP=GDP/GDP(1)*100-100;
Imp_ass_GAP=Imp/Imp(1)*100-100;
Dom_ass_GAP=Dom/Dom(1)*100-100;
Ex_ass_GAP=EX/EX(1)*100-100;
%pai_ass_GAP=pai_d/pai_d(1)*100-100;
%paix_ass_GAP=pai_x/pai_x(1)*100-100;
tariff_ass_GAP=tariff/tariff(1)*100-100;
M_star_ass_GAP=M_star/M_star(1)*100-100;
Me_star_ass_GAP=Me_star/Me_star(1)*100-100;
X_star_ass_GAP=X_star/X_star(1)*100-100;
R_star_ass_GAP=R_star/R_star(1)*100-100;
%GDP_star_ass_GAP=GDP_star/GDP_star(1)*100-100;
%Dom_star_ass_GAP=Dom_star/Dom_star(1)*100-100;
%pai_star_ass_GAP=pai_d_star/pai_d_star(1)*100-100;
%paix_star_ass_GAP=pai_x_star/pai_x_star(1)*100-100;
% tariff_star_ass_GAP=tariff_star/tariff_star(1)*100-100;
Q_ass_GAP=Q/1*100-100;
% tb_ass_GAP=tb./GDP(1)*100;
% tb_star_ass_GAP=(-1)*tb./GDP_star(1)*100;
tb_ass_GAP=tb./R(1)*100;
tb_star_ass_GAP=(-1)*tb./R_star(1)*100;
debt_ass_GAP=(-A-Q.*A_star)/R(1)*100;
% debt_ass_GAP=(-A-Q.*A_star)/GDP(1)*100;

PAI_ass_GAP=PAI*100;
PAID_ass_GAP=PAID*100;
PAIX_ass_GAP=PAIX*100;
PAIImp_ass_GAP=PAIImp*100;
PAIImpH_ass_GAP=PAIImpH*100;
PAIXH_ass_GAP=PAIXH*100;
INT_ass_GAP=INT/INT(1)*100-100;
RINT_ass_GAP=RINT/RINT(1)*100-100;
PAIS_ass_GAP=PAIS*100;
W_ass_GAP=W/W(1)*100-100;

load tar_stat_flex.mat
M_flex=M/M(1)*100-100;
Me_flex=Me/Me(1)*100-100;
X_flex=X/X(1)*100-100;
R_flex=R/R(1)*100-100;
GDP_flex=GDP/GDP(1)*100-100;
Imp_flex=Imp/Imp(1)*100-100;
Dom_flex=Dom/Dom(1)*100-100;
Ex_flex=EX/EX(1)*100-100;
%pai_flex=pai_d/pai_d(1)*100-100;
%paix_flex=pai_x/pai_x(1)*100-100;
tariff_flex=tariff/tariff(1)*100-100;
M_star_flex=M_star/M_star(1)*100-100;
Me_star_flex=Me_star/Me_star(1)*100-100;
X_star_flex=X_star/X_star(1)*100-100;
R_star_flex=R_star/R_star(1)*100-100;
%GDP_star_flex=GDP_star/GDP_star(1)*100-100;
%Dom_star_flex=Dom_star/Dom_star(1)*100-100;
%pai_star_flex=pai_d_star/pai_d_star(1)*100-100;
%paix_star_flex=pai_x_star/pai_x_star(1)*100-100;
%tariff_star_flex=tariff_star/tariff_star(1)*100-100;
Q_flex=Q/1*100-100;
% tb_flex=tb./GDP(1)*100;
% tb_star_flex=(-1)*tb./GDP_star(1)*100;
tb_flex=tb./R(1)*100;
tb_star_flex=(-1)*tb./R_star(1)*100;
debt_flex=(-A-Q.*A_star)/R(1)*100;
% debt_flex=(-A-Q.*A_star)/GDP(1)*100;

PAI_flex=PAI*100;
PAID_flex=PAID*100;
PAIX_flex=PAIX*100;
PAIImp_flex=PAIImp*100;
PAIImpH_flex=PAIImpH*100;
PAIXH_flex=PAIXH*100;
INT_flex=INT/INT(1)*100-100;
RINT_flex=RINT/RINT(1)*100-100;
PAIS_flex=PAIS*100;
W_flex=W/W(1)*100-100;

perios=21;
tt=0:1:(perios-1);
% close all;

Plevel_rigid=ones(perios);
Plevel_rigid_GAP=ones(perios);
Plevel_flex=ones(perios);
Plevel_ass_GAP=ones(perios);
Plevel_ass=ones(perios);
Plevel_ass_foreign=ones(perios);

NER_rigid=ones(perios);
NER_rigid_GAP=ones(perios);
NER_flex=ones(perios);
NER_ass_GAP=ones(perios);
NER_ass=ones(perios);
NER_ass_foreign=ones(perios);

for i=2:perios
%     Plevel_rigid(i)=Plevel_rigid(i-1)*(1+PAI_rigid(i));
    Plevel_rigid_GAP(i)=Plevel_rigid_GAP(i-1)*(1+PAI_rigid_GAP(i));
    Plevel_flex(i)=Plevel_flex(i-1)*(1+PAI_flex(i));
%     Plevel_ass(i)=Plevel_ass(i-1)*(1+PAI_ass(i));
    Plevel_ass_GAP(i)=Plevel_ass_GAP(i-1)*(1+PAI_ass_GAP(i));
%     Plevel_ass_foreign(i)=Plevel_ass_foreign(i-1)*(1+PAI_ass_foreign(i));
    
%     NER_rigid(i)=NER_rigid(i-1)*(1+PAIS_rigid(i));
    NER_rigid_GAP(i)=NER_rigid_GAP(i-1)*(1+PAIS_rigid_GAP(i)/100);
    NER_flex(i)=NER_flex(i-1)*(1+PAIS_flex(i));
%     NER_ass(i)=NER_ass(i-1)*(1+PAIS_ass(i));
    NER_ass_GAP(i)=NER_ass_GAP(i-1)*(1+PAIS_ass_GAP(i));
%     NER_ass_foreign(i)=NER_ass_foreign(i-1)*(1+PAIS_ass_foreign(i));
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Compare flex-price case and rigid-price case 

figure(1)
set(0,'DefaultAxesFontName','Times','DefaultAxesFontSize',11);

subplot(4,4,1)
plot(tt,R_flex(1:perios), 'k--',tt,R_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Total consumption')
%legend('flexible prices','rigid prices',1);

subplot(4,4,2)
plot(tt,Dom_flex(1:perios), 'k--',tt,Dom_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Consumption domestic var.')

subplot(4,4,3)
plot(tt,Imp_flex(1:perios), 'k--',tt,Imp_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Imports')

subplot(4,4,4)
plot(tt,R_star_flex(1:perios), 'k--',tt,R_star_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Foreign consumption')

subplot(4,4,5)
plot(tt,Ex_flex(1:perios), 'k--',tt,Ex_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Exports')

subplot(4,4,6)
plot(tt,X_flex(1:perios), 'k--',tt,X_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Share of exporting firms')

subplot(4,4,7)
plot(tt,Q_flex(1:perios), 'k--',tt,Q_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Real exchange rate')

subplot(4,4,8)
plot(tt,NER_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Nominal exchange rate')

subplot(4,4,9)
plot(tt,M_flex(1:perios), 'k--',tt,M_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Number of firms')

subplot(4,4,10)
plot(tt,Me_flex(1:perios), 'k--',tt,Me_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Investment in new firms')

subplot(4,4,11)
plot(tt,W_flex(1:perios), 'k--',tt,W_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Real wage')

subplot(4,4,12)
plot(tt,RINT_flex(1:perios), 'k--',tt,RINT_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Real interest rate')

subplot(4,4,13)
plot(tt,PAI_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Inflation')

subplot(4,4,14)
plot(tt,PAID_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Inflation domestic var.')

subplot(4,4,15)
plot(tt,PAIImp_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Inflation imported var.')

subplot(4,4,16)
plot(tt,INT_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Nominal interest rate')

saveas(gcf,[verzeichnis,'\unilateral_IRF_GAP'],'pdf')
saveas(gcf,[verzeichnis,'\unilateral_IRF_GAP'],'eps')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% compare aggressive and standard monetary policy

figure(3)
set(0,'DefaultAxesFontName','Times','DefaultAxesFontSize',11);

subplot(4,4,1)
plot(tt,R_ass_GAP(1:perios), 'k--',tt,R_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Total consumption')
%legend('flexible prices','rigid prices',1);

subplot(4,4,2)
plot(tt,Dom_ass_GAP(1:perios), 'k--',tt,Dom_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Consumption domestic var.')

subplot(4,4,3)
plot(tt,Imp_ass_GAP(1:perios), 'k--',tt,Imp_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Imports')

subplot(4,4,4)
plot(tt,R_star_ass_GAP(1:perios), 'k--',tt,R_star_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Foreign consumption')

subplot(4,4,5)
plot(tt,Ex_ass_GAP(1:perios), 'k--',tt,Ex_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Exports')

subplot(4,4,6)
plot(tt,X_ass_GAP(1:perios), 'k--',tt,X_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Share of exporting firms')

subplot(4,4,7)
plot(tt,Q_ass_GAP(1:perios), 'k--',tt,Q_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Real exchange rate')

subplot(4,4,8)
plot(tt,NER_ass_GAP(1:perios), 'k--',tt,NER_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Nominal exchange rate')

subplot(4,4,9)
plot(tt,M_ass_GAP(1:perios), 'k--',tt,M_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Number of firms')

subplot(4,4,10)
plot(tt,Me_ass_GAP(1:perios), 'k--',tt,Me_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Investment in new firms')

subplot(4,4,11)
plot(tt,W_ass_GAP(1:perios), 'k--',tt,W_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Real wage')

subplot(4,4,12)
plot(tt,RINT_ass_GAP(1:perios), 'k--',tt,RINT_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Real interest rate')

subplot(4,4,13)
plot(tt,PAI_ass_GAP(1:perios), 'k--',tt,PAI_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Inflation')

subplot(4,4,14)
plot(tt,PAID_ass_GAP(1:perios), 'k--',tt,PAID_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Inflation domestic var.')

subplot(4,4,15)
plot(tt,PAIImp_ass_GAP(1:perios), 'k--',tt,PAIImp_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Inflation imported var.')

subplot(4,4,16)
plot(tt,INT_ass_GAP(1:perios), 'k--',tt,INT_rigid_GAP(1:perios), 'k-','LineWidth',2)
% xlabel('Quarters')
title('Nominal interest rate')
% 
saveas(gcf,[verzeichnis,'unilateral_IRF_ass_GAP'],'pdf')
saveas(gcf,[verzeichnis,'unilateral_IRF_ass_GAP'],'eps')


