
loadMat('calib_GM_monetary_nash_graph.csv')

maxi=length(tarr)  

perios=1002;         
beta=0.99;
    
discount=zeros(perios,1);
for ll=1:perios;   
    discount(ll)=beta^(ll-1);
end;

%%%%% initilize payoff matrices

payoff_flex_loop=zeros(sqrt(maxi),sqrt(maxi),perios);
payoff_star_flex_loop=zeros(sqrt(maxi),sqrt(maxi),perios);

ii=0;

for jj=1:sqrt(maxi);    % starts the loop for country two

for kk=1:sqrt(maxi);    % starts the loop for country one



ii=ii+1

  
    save saveloop ii kk jj maxi beta discount payoff_flex_loop payoff_star_flex_loop;   
   
    dynare GM_monetary_nash_flex_graph.mod;
        
    %%% vector of discounted future income
    
    payoff_flex_loop(jj,kk,:)=R.*discount;
    payoff_star_flex_loop(jj,kk,:)=R_star.*discount;
    
end

end

verzeichnis='data\';
save([verzeichnis,'pers_payoff_flex_graph'],'payoff_flex_loop', 'payoff_star_flex_loop');




