
clear all;
clc;

verzeichnis='data\';
verzeichnis2='figures\';

loadMat('ass_length.csv')

years=20;        % maximum planning horizon
year_vec= 1:years;

payoffsum_GAP=-ones(tarstarlength,years)*999;

for ii=1:years

%% LOAD DATA

load([verzeichnis,'pers_payoff_GAP_graph']);
loadMat('calib_GM_monetary_coop_graph.csv')
loadMat('ass_length.csv')


for jj=1:tarstarlength;    % starts the loop for country two
    
    loadMat('ass_length.csv')

for kk=1:tarlength;    % starts the loop for country one

    
    payoff_GAP(jj,kk)=sum(payoff_GAP_loop(jj,kk,1:ii*4));
    payoff_star_GAP(jj,kk)=sum(payoff_star_GAP_loop(jj,kk,1:ii*4));

        tar_coopdiff_GAP(jj,kk)=payoff_GAP(jj,kk)-payoff_star_GAP(jj,kk);
        
        tar_abscoopdiff_GAP(jj,kk)=abs(payoff_GAP(jj,kk)-payoff_star_GAP(jj,kk));

    
    if  tar_coopdiff_GAP(jj,kk)<0
        diffindex_GAP(jj,kk) = 1;
    else
        diffindex_GAP(jj,kk) = 0;
    end

end

mindiffposition_GAP(jj,ii) =find(min(tar_abscoopdiff_GAP(jj,:)) ==tar_abscoopdiff_GAP(jj,:));




tarstar_coop_GAP_vec(jj,ii)=tarstar(jj*tarlength+1);
tar_coop_GAP_vec(jj,ii)=tarr(mindiffposition_GAP(jj,ii)+1);

    
    if payoff_GAP(jj,mindiffposition_GAP(jj,ii))>0
        if payoff_star_GAP(jj,mindiffposition_GAP(jj,ii))>0
            if tar_abscoopdiff_GAP(jj,mindiffposition_GAP(jj,ii))<0.01
                payoffsum_GAP(jj,ii)=payoff_GAP(jj,mindiffposition_GAP(jj,ii))+payoff_star_GAP(jj,mindiffposition_GAP(jj,ii));
            end
        end
    end
        

end

maxposition_GAP(ii)=find(max(payoffsum_GAP(:,ii))==payoffsum_GAP(:,ii));

    tar_coop_GAP(ii)=tar_coop_GAP_vec(maxposition_GAP(ii));

tarstar_coop_GAP(ii)=tarstar_coop_GAP_vec(maxposition_GAP(ii));


end

figure(109);
plot(year_vec,tar_coop_GAP, 'k-','LineWidth',2.5)
ylabel('Tariff')
xlabel('Years')

figure(111);
plot(year_vec,tar_coop_GAP, 'k-',year_vec,tarstar_coop_GAP, 'k--','LineWidth',2.5)
ylabel('Tariff')
xlabel('Years')
legend('US-tariff','EU-tariff','Location','SouthEast');
saveas(gcf,[verzeichnis2,'tar_coop_years_both2'],'eps')
saveas(gcf,[verzeichnis2,'tar_coop_years_both2'],'pdf')


