
var Dom EX Imp GDP tariff U U_star tar tar_star M X R VPD VPX Y zxtilde YD YX Me MUD MUX INT RINT PAI PAID PAIX PAIXH PAIImp PAIImpH PAIS GAP A W PSI Z M_star X_star R_star VPD_star VPX_star Y_star zxtilde_star YD_star YX_star Me_star MUD_star MUX_star INT_star PAI_star PAID_star PAIX_star PAIXH_star GAP_star A_star W_star PSI_star Z_star Q tb M_flex X_flex R_flex VPD_flex VPX_flex Y_flex zxtilde_flex YD_flex YX_flex Me_flex MUD_flex MUX_flex INT_flex A_flex W_flex PSI_flex M_star_flex X_star_flex R_star_flex VPD_star_flex VPX_star_flex Y_star_flex zxtilde_star_flex YD_star_flex YX_star_flex Me_star_flex MUD_star_flex MUX_star_flex INT_star_flex A_star_flex W_star_flex PSI_star_flex Q_flex tb_flex;
parameters LEMP LEMP_star tauSS rhotar rhotau intSS Mbar Mstarbar Xbar Xstarbar Rbar Rstarbar kappa newphi tau tau_star phi theta zdtilde f fe fe_star fx fx_star delta sigma nu nu_star zmin kp gamma xi beta ZSS rhos eta paii paipai paigap paii_star paipai_star paigap_star; 
varexo uZ uZ_star utau utar utar_star tarSS tarstarSS;

maxit=10000000;
perios=500;


load saveloop;
loadMat('calib_GM_monetary_unilateral.csv')
i1=1;  % first steady-state
i2=ii;  % second steady-state

%%%%%%%%%%%%%%
%%% parameters

delta = 0.025;
sigma = 2;
beta = .99;
intSS=1/beta-1;
eta=0.5;
newphi=1;
kappa=0.3278;

theta       = 3.8; 
phi         = theta;
nu = 80;
nu=0;
nu_star = nu;

LEMP=1;
LEMP_star=1;

% fixed costs
f = 0;
fe = feSS(i1);
fe_star=fe;
fx = fxSS(i1);
fx_star=fx;

% Taylor rule
paii = 0.71;
%paii = 0;
paipai = 1.62;
%paipai = 1.5;
paigap = 0.34;
%paigap=0;
paii_star = paii;
paipai_star = paipai;
paigap_star = paigap;
Mbar = MSS(i1);
Mstarbar = Mbar; 
Xbar = XSS(i1);
Xstarbar =Xbar;
Rbar = RSS(i1);
Rstarbar = Rbar;

% Pareto-Distribution-Parameters
zmin = 1;
kp = 3.4;
gamma = kp - theta + 1;
zdtilde = (kp/gamma)^(1/(theta - 1))*zmin;

% Trade Costs
tau = icebergSS(i1);
//tau_star = icebergstarSS(i1);
tau_star = icebergSS(i1);
//tarSS = 1;
//tarstarSS = 1;

% Schocks
ZSS=1;
ZSS1=1;
ZSS2=1;
rhos=0.95;
rhotau=0.95;
rhotar=0;

%%%%%%%%%%%%%%%%%
%%% steady states

%%%%% first steady state

tarSS1 = tarr(i1);
tarSS1_star = tarstar(i1);

MSS1 = MSS(i1);
RSS1 = RSS(i1);
XSS1 = XSS(i1);
VPDSS1 = VPDSS(i1);
VPXSS1 = VPXSS(i1);
YSS1 = YSS(i1);
BSS1 = BSS(i1);
YDSS1 = YDSS(i1);
YXSS1 = YXSS(i1);
MeSS1 = MeSS(i1);
WSS1 = wageSS(i1);
LEMPSS1 = employmentSS(i1);
psiSS1 = psiSS(i1);

MUDSS1 = phi/(phi-1);
MUXSS1 = phi/(phi-1);

MSS1_star = MSS(i1);
RSS1_star = RSS(i1);
XSS1_star = XSS(i1);
VPDSS1_star = VPDSS(i1);
VPXSS1_star = VPXSS(i1);
YSS1_star = YSS(i1);
BSS1_star = BSS(i1);
YDSS1_star = YDSS(i1);
YXSS1_star = YXSS(i1);
MeSS1_star = MeSS(i1);
WSS1_star = wageSS(i1);
LEMPSS1_star = employmentSS(i1);
psiSS1_star = psiSS(i1);

MUDSS1_star = phi/(phi-1);
MUXSS1_star = phi/(phi-1);

QSS1 = QSS(i1);

%%%%% second steady state

tarSS2 = tarr(i2);
tarSS2_star = tarstar(i2);

MSS2 = MSS(i2);
RSS2 = RSS(i2);
XSS2 = XSS(i2);
VPDSS2 = VPDSS(i2);
VPXSS2 = VPXSS(i2);
YSS2 = YSS(i2);
BSS2 = BSS(i2);
YDSS2 = YDSS(i2);
YXSS2 = YXSS(i2);
MeSS2 = MeSS(i2);
WSS2 = wageSS(i2);
LEMPSS2 = employmentSS(i2);
psiSS2 = psiSS(i2);

MUDSS2 = phi/(phi-1);
MUXSS2 = phi/(phi-1);

MSS2_star = MSS(i2);
RSS2_star = RSS(i2);
XSS2_star = XSS(i2);
VPDSS2_star = VPDSS(i2);
VPXSS2_star = VPXSS(i2);
YSS2_star = YSS(i2);
BSS2_star = BSS(i2);
YDSS2_star = YDSS(i2);
YXSS2_star = YXSS(i2);
MeSS2_star = MeSS(i2);
WSS2_star = wageSS(i2);
LEMPSS2_star = employmentSS(i2);
psiSS2_star = psiSS(i2);

MUDSS2_star = phi/(phi-1);
MUXSS2_star = phi/(phi-1);

QSS2 = QSS(i2);

model;
%%%%%%%%%%%%%%%%%
%%%% home country

%%%% equations from table 1
// price index
1 = M^((1 - phi)/(1-theta))*VPD^(1-phi) + (X_star*M_star)^((1 - phi)/(1-theta))*VPX_star^(1-phi);

//export cutoff
VPX^(-phi)*(X*M)^((theta - phi)/(1-theta))*Y_star=1/tau_star*(theta - 1)*kp/gamma*zxtilde*fx;

// resource constraint
LEMP = M*YD/(Z*zdtilde) + M*X*YX/(Z*zxtilde)*tau_star + Me*fe/Z + M*X*fx/Z;

// free entry
1=(1-delta)*beta*(R(+1)/R)^(-sigma)*VPD(+1)/VPD*(MUD/MUD(+1)*(1-X(+1)*fx/fe)+1/((theta-1)*fe*zdtilde)*(MUD/MUD(+1)*YD(+1)+X(+1)*Q(+1)*VPX(+1)/VPD(+1)/tar_star(+1)*MUD/MUX(+1)*YX(+1)));

// labor supply
//LEMP^newphi=R^(-sigma)*W;

// Taylor rule
1+INT=(1+INT(-1))^paii*((1+intSS)*(1+((M+M_star*X_star)/(M(-1)+M_star(-1)*X_star(-1)))^(1/(theta-1))*PAI)^paipai*GAP^paigap)^(1-paii);
GAP=(M+M_star*X_star)^(1/(theta-1))*(R+tb)/((M_flex+M_star_flex*X_star_flex)^(1/(theta-1))*(R_flex+tb_flex));

//Euler equations
R^(-sigma)*(1+eta*A)=R(+1)^(-sigma)*beta*(1+INT)/(1+PAI(+1));
R^(-sigma)*(1+eta*A_star)=R(+1)^(-sigma)*beta*(1+INT_star)/(1+PAI_star(+1))*Q(+1)/Q;

%%%%% additional equations

// firm dynamics
M=M(-1)*(1-delta)+Me(-1)*(1-delta);

// export cutoff and productivity
zxtilde = (kp/gamma)^(1/(theta - 1))*PSI;
X = (zmin/PSI)^kp;

// markups
MUD = phi/((phi-1)*(1-nu/2*PAID^2)+nu*(PAID+1)*PAID-nu*beta*(R(+1)/R)^(-sigma)*(PAID(+1)+1)^2*PAID(+1)/(PAI(+1)+1)*YD(+1)/YD*(M(+1)/M)^(theta/(theta-1)));
MUX = phi/((phi-1)*(1-nu/2*PAIXH^2)+nu*(PAIXH+1)*PAIXH-nu*beta*(R(+1)/R)^(-sigma)*(PAIXH(+1)+1)^2*PAIXH(+1)/(PAI(+1)+1)*tau_star(+1)/tau_star*YX(+1)/YX*(M(+1)*X(+1)/(M*X))^(theta/(theta-1)));

// average price and production
VPD = MUD*W/zdtilde/Z;
VPX = MUX*tau_star*tar_star/Q*W/zxtilde/Z;
YD = VPD^(-phi)*M^((theta-phi)/(1-theta))*Y;
YX = VPX^(-phi)*(M*X)^((theta-phi)/(1-theta))*Y_star;

// the following three equations are taken from Appendix C; in the first equation I have left out the Price index because it's not defined

Y = R+nu/2*PAID^2*VPD*YD*M+nu/2*PAIXH^2*VPX*YX*M*X;
(1+PAID)/(1+PAI)=VPD/VPD(-1)*(M/M(-1))^(1/(1-theta));
(1+PAIXH)/(1+PAI)=Q/Q(-1)*VPX/VPX(-1)*((M*X)/(M(-1)*X(-1)))^(1/(1-theta))*tau_star(-1)/tau_star*tar_star(-1)/tar_star;
(1+PAIX)/(1+PAI)=Q/Q(-1)*VPX/VPX(-1)*((M*X)/(M(-1)*X(-1)))^(1/(1-theta));
1+PAIImp = (1+PAIX_star)*Q/Q(-1);
1+PAIImpH = (1+PAIXH_star)*Q/Q(-1);
1+PAIS = Q/Q(-1)*(1+PAI)/(1+PAI_star);

// productivity
Z=ZSS^(1-rhos)*Z(-1)^rhos*exp(uZ);

%%%%%%%%%%%%%%%%%%%%
%%%% foreign country

%%%% equations from table 1
1 = M_star^((1 - phi)/(1-theta))*VPD_star^(1 - phi)  +(X*M)^((1 - phi)/(1-theta))*VPX^(1 - phi);
VPX_star^(-phi)*(X_star*M_star)^((theta - phi)/(1-theta))*Y=1/tau*(theta - 1)*kp/gamma*zxtilde_star*fx_star;
LEMP_star = M_star*YD_star/(Z_star*zdtilde) + M_star*X_star*YX_star/(Z_star*zxtilde_star)*tau + Me_star*fe_star/Z_star + M_star*X_star*fx_star/Z_star;
1=(1-delta)*beta*(R_star(+1)/R_star)^(-sigma)*VPD_star(+1)/VPD_star*(MUD_star/MUD_star(+1)*(1-X_star(+1)*fx_star/fe_star)+1/((theta-1)*fe_star*zdtilde)*(MUD_star/MUD_star(+1)*YD_star(+1)+X_star(+1)/Q(+1)*VPX_star(+1)/VPD_star(+1)/tar(+1)*MUD_star/MUX_star(+1)*YX_star(+1)));
1+INT_star=(1+INT_star(-1))^paii_star*((1+intSS)*(1+((M_star+M*X)/(M_star(-1)+M(-1)*X(-1)))^(1/(theta-1))*PAI_star)^paipai_star*GAP_star^paigap_star)^(1-paii_star);
R_star^(-sigma)*(1-eta*A)=R_star(+1)^(-sigma)*beta*(1+INT)/(1+PAI(+1))*Q/Q(+1);
R_star^(-sigma)*(1-eta*A_star)=R_star(+1)^(-sigma)*beta*(1+INT_star)/(1+PAI_star(+1));

%%% addtional equations 
M_star=M_star(-1)*(1-delta)+Me_star(-1)*(1-delta);
GAP_star=(M_star+M*X)^(1/(theta-1))*(R_star-tb)/((M_star_flex+M_flex*X_flex)^(1/(theta-1))*(R_star_flex-tb_flex));
MUD_star = phi/((phi-1)*(1-nu_star/2*PAID_star^2)+nu_star*(PAID_star+1)*PAID_star-nu_star*beta*(R_star(+1)/R_star)^(-sigma)*(PAID_star(+1)+1)^2*PAID_star(+1)/(PAI_star(+1)+1)*YD_star(+1)/YD_star*(M_star(+1)/M_star)^(theta/(theta-1)));
MUX_star = phi/((phi-1)*(1-nu_star/2*PAIXH_star^2)+nu_star*(PAIXH_star+1)*PAIXH_star-nu_star*beta*(R_star(+1)/R_star)^(-sigma)*(PAIXH_star(+1)+1)^2*PAIXH_star(+1)/(PAI_star(+1)+1)*tau(+1)/tau*YX_star(+1)/YX_star*(M_star(+1)*X_star(+1)/(M_star*X_star))^(theta/(theta-1)));
VPD_star = MUD_star*W_star/zdtilde/Z_star;
VPX_star = MUX_star*tau*tar*Q*W_star/zxtilde_star/Z_star;
YD_star = VPD_star^(-phi)*M_star^((theta-phi)/(1-theta))*Y_star;
YX_star = VPX_star^(-phi)*(M_star*X_star)^((theta-phi)/(1-theta))*Y;
Y_star = R_star+nu_star/2*PAID_star^2*YD_star*M_star^(theta/(theta-1))+nu_star/2*PAIXH_star^2*YX_star*(M_star*X_star)^(theta/(theta-1));
(1+PAID_star)/(1+PAI_star)=VPD_star/VPD_star(-1)*(M_star/M_star(-1))^(1/(1-theta));
(1+PAIXH_star)/(1+PAI_star)=Q(-1)/Q*VPX_star/VPX_star(-1)*((M_star*X_star)/(M_star(-1)*X_star(-1)))^(1/(1-theta))*tau(-1)/tau*tar(-1)/tar;
(1+PAIX_star)/(1+PAI_star)=Q(-1)/Q*VPX_star/VPX_star(-1)*((M_star*X_star)/(M_star(-1)*X_star(-1)))^(1/(1-theta));
zxtilde_star = (kp/gamma)^(1/(theta - 1))*PSI_star;
X_star = (zmin/PSI_star)^kp;

Z_star=ZSS^(1-rhos)*Z_star(-1)^rhos*exp(-uZ_star);

%%%%%%%%%%%%%%%%%%%%%%
%%% common equations

// evolution of bonds
A+Q*A_star=(1+INT(-1))/(1+PAI)*A(-1)+Q*(1+INT_star(-1))/(1+PAI_star)*A_star(-1)+tb;

// trade balance
tb=Q*M*X*VPX*YX/tar_star-M_star*X_star*VPX_star*YX_star/tar;

%%%%%%%%%%%%%%%%%%%%%%
%%% shocks 

//tau=rhotau*tau(-1)+(1-rhotau)*tauSS+utau;
//tau=tauSS;

tar=tarSS^(1-rhotar)*tar(-1)^rhotar*exp(utar);
tar_star=tarstarSS^(1-rhotar)*tar_star(-1)^rhotar*exp(utar_star);

U=R^(1-sigma)/(1-sigma);
U_star=R_star^(1-sigma)/(1-sigma);

%%%%%%%%%%%%%%%%%%%%%
%%% additional statistics
Dom=M*VPD*YD;
EX=Q*M*X*VPX*YX/tar_star;
Imp=M_star*X_star*VPX_star*YX_star/tar;
GDP=R+tb;
tariff = (tar - 1)*1/tar*VPX_star^(1 - phi)*R*X_star*M_star;
RINT=(1+INT)/(1+PAI(+1))-1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%                             FLEX PRICE ECONOMY
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%
%%%% home country

%%%% equations from table 1
// price index
1 = M_flex^((1 - phi)/(1-theta))*VPD_flex^(1-phi) + (X_star_flex*M_star_flex)^((1 - phi)/(1-theta))*VPX_star_flex^(1-phi);

//export cutoff
VPX_flex^(-phi)*(X_flex*M_flex)^((theta - phi)/(1-theta))*Y_star_flex=1/tau_star*(theta - 1)*kp/gamma*zxtilde_flex*fx;

// resource constraint
LEMP = M_flex*YD_flex/(Z*zdtilde) + M_flex*X_flex*YX_flex/(Z*zxtilde_flex)*tau_star + Me_flex*fe/Z + M_flex*X_flex*fx/Z;

// free entry
1=(1-delta)*beta*(R_flex(+1)/R_flex)^(-sigma)*VPD_flex(+1)/VPD_flex*(MUD_flex/MUD_flex(+1)*(1-X_flex(+1)*fx/fe)+1/((theta-1)*fe*zdtilde)*(MUD_flex/MUD_flex(+1)*YD_flex(+1)+X_flex(+1)*Q_flex(+1)*VPX_flex(+1)/VPD_flex(+1)/tar_star(+1)*MUD_flex/MUX_flex(+1)*YX_flex(+1)));

// labor supply
//LEMP^newphi=R_flex^(-sigma)*W_flex;

//Euler equations
R_flex^(-sigma)*(1+eta*A_flex)=R_flex(+1)^(-sigma)*beta*(1+INT_flex);
R_flex^(-sigma)*(1-eta*A_star_flex)=R_flex(+1)^(-sigma)*beta*(1+INT_star_flex)*Q_flex(+1)/Q_flex;

%%%%% additional equations

// firm dynamics
M_flex=M_flex(-1)*(1-delta)+Me_flex(-1)*(1-delta);

// export cutoff and productivity
zxtilde_flex = (kp/gamma)^(1/(theta - 1))*PSI_flex;
X_flex = (zmin/PSI_flex)^kp;

// markups
MUD_flex = phi/(phi-1);
MUX_flex = phi/(phi-1);

// average price and production
VPD_flex = MUD_flex*W_flex/zdtilde/Z;
VPX_flex = MUX_flex*tau_star*tar_star/Q_flex*W_flex/zxtilde_flex/Z;
YD_flex = VPD_flex^(-phi)*M_flex^((theta-phi)/(1-theta))*Y_flex;
YX_flex = VPX_flex^(-phi)*(M_flex*X_flex)^((theta-phi)/(1-theta))*Y_star_flex;

Y_flex = R_flex;

%%%%%%%%%%%%%%%%%%%%
%%%% foreign country

%%%% equations from table 1
1 = M_star_flex^((1 - phi)/(1-theta))*VPD_star_flex^(1 - phi)  +(X_flex*M_flex)^((1 - phi)/(1-theta))*VPX_flex^(1 - phi);
VPX_star_flex^(-phi)*(X_star_flex*M_star_flex)^((theta - phi)/(1-theta))*Y_flex=1/tau*(theta - 1)*kp/gamma*zxtilde_star_flex*fx_star;
LEMP_star = M_star_flex*YD_star_flex/(Z_star*zdtilde) + M_star_flex*X_star_flex*YX_star_flex/(Z_star*zxtilde_star_flex)*tau + Me_star_flex*fe_star/Z_star + M_star_flex*X_star_flex*fx_star/Z_star;
1=(1-delta)*beta*(R_star_flex(+1)/R_star_flex)^(-sigma)*VPD_star_flex(+1)/VPD_star_flex*(MUD_star_flex/MUD_star_flex(+1)*(1-X_star_flex(+1)*fx_star/fe_star)+1/((theta-1)*fe_star*zdtilde)*(MUD_star_flex/MUD_star_flex(+1)*YD_star_flex(+1)+X_star_flex(+1)/Q_flex(+1)*VPX_star_flex(+1)/VPD_star_flex(+1)/tar(+1)*MUD_star_flex/MUX_star_flex(+1)*YX_star_flex(+1)));
R_star_flex^(-sigma)*(1-eta*A_flex)=R_star_flex(+1)^(-sigma)*beta*(1+INT_flex)*Q_flex/Q_flex(+1);
R_star_flex^(-sigma)*(1+eta*A_star_flex)=R_star_flex(+1)^(-sigma)*beta*(1+INT_star_flex);

%%% addtional equations 
M_star_flex=M_star_flex(-1)*(1-delta)+Me_star_flex(-1)*(1-delta);
MUD_star_flex = phi/(phi-1);
MUX_star_flex = phi/(phi-1);
VPD_star_flex = MUD_star_flex*W_star_flex/zdtilde/Z_star;
VPX_star_flex = MUX_star_flex*tau*tar*Q_flex*W_star_flex/zxtilde_star_flex/Z_star;
YD_star_flex = VPD_star_flex^(-phi)*M_star_flex^((theta-phi)/(1-theta))*Y_star_flex;
YX_star_flex = VPX_star_flex^(-phi)*(M_star_flex*X_star_flex)^((theta-phi)/(1-theta))*Y_flex;
Y_star_flex = R_star_flex;
zxtilde_star_flex = (kp/gamma)^(1/(theta - 1))*PSI_star_flex;
X_star_flex = (zmin/PSI_star_flex)^kp;

%%%%%%%%%%%%%%%%%%%%%%
%%% common equations

// evolution of bonds
A_flex+Q_flex*A_star_flex=(1+INT_flex(-1))*A_flex(-1)+Q_flex*(1+INT_star_flex(-1))*A_star_flex(-1)+tb_flex;

// trade balance
tb_flex=Q_flex*M_flex*X_flex*VPX_flex*YX_flex/tar_star-M_star_flex*X_star_flex*VPX_star_flex*YX_star_flex/tar;

end;

//M X R VPD VPX Y zxtilde YD YX Me MUD MUX INT PAI GAP A W

initval;
M = MSS1;
R = RSS1;
X = XSS1;
VPD = VPDSS1;
VPX = VPXSS1;
Y = YSS1;
zxtilde = BSS1;
YD = YDSS1;
YX = YXSS1;
Me = MeSS1;
W = WSS1;
//LEMP = LEMPSS1;
PSI = psiSS1;
MUD = MUDSS1;
MUX = MUXSS1;
Z=ZSS;

M_star = MSS1_star;
R_star = RSS1_star;
X_star = XSS1_star;
VPD_star = VPDSS1_star;
VPX_star = VPXSS1_star;
Y_star = YSS1_star;
zxtilde_star = BSS1_star;
YD_star = YDSS1_star;
YX_star = YXSS1_star;
Me_star = MeSS1_star;
W_star = WSS1_star;
//LEMP_star = LEMPSS1_star;
PSI_star = psiSS1_star;
MUD_star = MUDSS1_star;
MUX_star = MUXSS1_star;
Z_star=ZSS;

PAI = 0;
PAID = 0;
PAIXH = 0;
GAP = 1;
PAI_star = 0;
PAID_star = 0;
PAIXH_star = 0;
GAP_star = 1;
PAIS = 0;

Q = QSS1;
A = 0;
A_star = 0;
tb = 0;

tarSS = tarSS1;
tarstarSS = tarSS1_star;
tar = tarSS1;
tar_star = tarSS1_star;

M_flex = MSS1;
R_flex = RSS1;
X_flex = XSS1;
VPD_flex = VPDSS1;
VPX_flex = VPXSS1;
Y_flex = YSS1;
zxtilde_flex = BSS1;
YD_flex = YDSS1;
YX_flex = YXSS1;
Me_flex = MeSS1;
W_flex = WSS1;
//LEMP = LEMPSS1;
PSI_flex = psiSS1;
MUD_flex = MUDSS1;
MUX_flex = MUXSS1;

M_star_flex = MSS1_star;
R_star_flex = RSS1_star;
X_star_flex = XSS1_star;
VPD_star_flex = VPDSS1_star;
VPX_star_flex = VPXSS1_star;
Y_star_flex = YSS1_star;
zxtilde_star_flex = BSS1_star;
YD_star_flex = YDSS1_star;
YX_star_flex = YXSS1_star;
Me_star_flex = MeSS1_star;
W_star_flex = WSS1_star;
//LEMP_star = LEMPSS1_star;
PSI_star_flex = psiSS1_star;
MUD_star_flex = MUDSS1_star;
MUX_star_flex = MUXSS1_star;

Q_flex = QSS1;
A_flex = 0;
A_star_flex = 0;
tb_flex = 0;

end;

steady;
check;


endval;
M = MSS2;
R = RSS2;
X = XSS2;
VPD = VPDSS2;
VPX = VPXSS2;
Y = YSS2;
zxtilde = BSS2;
YD = YDSS2;
YX = YXSS2;
Me = MeSS2;
W = WSS2;
//LEMP = LEMPSS2;
PSI = psiSS2;
MUD = MUDSS2;
MUX = MUXSS2;
Z=ZSS;

M_star = MSS2_star;
R_star = RSS2_star;
X_star = XSS2_star;
VPD_star = VPDSS2_star;
VPX_star = VPXSS2_star;
Y_star = YSS2_star;
zxtilde_star = BSS2_star;
YD_star = YDSS2_star;
YX_star = YXSS2_star;
Me_star = MeSS2_star;
W_star = WSS2_star;
//LEMP_star = LEMPSS2_star;
PSI_star = psiSS2_star;
MUD_star = MUDSS2_star;
MUX_star = MUXSS2_star;
Z_star=ZSS;

PAI = 0;
PAID = 0;
PAIXH = 0;
GAP = 1;
PAI_star = 0;
PAID_star = 0;
PAIXH_star = 0;
GAP_star = 1;
PAIS = 0;

Q = QSS2;
A = 0;
A_star = 0;
tb = 0;

//tau = tauSS;
tarSS = tarSS2;
tarstarSS = tarSS2_star;
tar = tarSS2;
tar_star = tarSS2_star;

M_flex = MSS2;
R_flex = RSS2;
X_flex = XSS2;
VPD_flex = VPDSS2;
VPX_flex = VPXSS2;
Y_flex = YSS2;
zxtilde_flex = BSS2;
YD_flex = YDSS2;
YX_flex = YXSS2;
Me_flex = MeSS2;
W_flex = WSS2;
//LEMP = LEMPSS2;
PSI_flex = psiSS2;
MUD_flex = MUDSS2;
MUX_flex = MUXSS2;

M_star_flex = MSS2_star;
R_star_flex = RSS2_star;
X_star_flex = XSS2_star;
VPD_star_flex = VPDSS2_star;
VPX_star_flex = VPXSS2_star;
Y_star_flex = YSS2_star;
zxtilde_star_flex = BSS2_star;
YD_star_flex = YDSS2_star;
YX_star_flex = YXSS2_star;
Me_star_flex = MeSS2_star;
W_star_flex = WSS2_star;
//LEMP_star = LEMPSS2_star;
PSI_star_flex = psiSS2_star;
MUD_star_flex = MUDSS2_star;
MUX_star_flex = MUXSS2_star;

Q_flex = QSS2;
A_flex = 0;
A_star_flex = 0;
tb_flex = 0;

end;

steady;
check;

simul(periods=1000);

