
loadMat('calib_GM_monetary_unilateral.csv')

maxi=length(tarr)  % maxit is the length of the vectors of starting values which come from Mathematica
                    % sqrt(maxit) is the number of strategies for each
                    % country
perios=1002;         % in dynare I use periods=1000, plus the two steady states makes 1002
beta=0.99;
    
discount=zeros(perios,1);
for ll=1:perios;    % generates the vector to discount future values
    discount(ll)=beta^(ll-1);
end;

%%%%% initilize payoff matrices

payoff_GAP_loop=zeros(maxi,perios);
payoff_flex_loop=zeros(maxi,perios);

ii=0;

for jj=1:1;    % starts the loop for country two

for kk=1:maxi;    % starts the loop for country one



ii=ii+1

  
    save saveloop ii kk jj maxi beta discount payoff_GAP_loop payoff_flex_loop;   
    dynare GM_monetary_unilateral_GAP_graph.mod;
    payoff_GAP_loop(kk,:)=R.*discount;
    
    save saveloop ii kk jj maxi beta discount payoff_GAP_loop payoff_flex_loop;
    dynare GM_monetary_unilateral_flex_graph.mod;
    payoff_flex_loop(kk,:)=R.*discount;
    
end

end

verzeichnis='data2\';

save([verzeichnis,'pers_payoff_GAP_graph'],'payoff_GAP_loop');
save([verzeichnis,'pers_payoff_flex_graph'],'payoff_flex_loop');

pers_unilateral_flex_graph;
