
clear all;
clc;

verzeichnis='data2\';
verzeichnis2='figures\';

%cd(verzeichnis);

years=50;        % maximum planning horizon
year_vec= 1:years;

for ii=1:years

%% LOAD DATA

load([verzeichnis,'pers_payoff_GAP_graph']);
load([verzeichnis,'pers_payoff_flex_graph']);
loadMat('calib_GM_monetary_unilateral.csv')
maxi=length(tarr);

for jj=1:1;    % starts the loop for country two

for kk=1:maxi; 

    payoff_GAP(kk)=sum(payoff_GAP_loop(kk,1:ii*4));
    payoff_flex(kk)=sum(payoff_flex_loop(kk,1:ii*4));
end
end

tar_unilateral_GAP(ii)=tarr(find(payoff_GAP==max(payoff_GAP)));
tar_unilateral_flex(ii)=tarr(find(payoff_flex==max(payoff_flex)));



end


figure(109);
plot(year_vec,tar_unilateral_GAP, 'k-','LineWidth',2.5)
ylabel('Tariff')
xlabel('Years')
%legend('rigid prices','flexible prices',4);
saveas(gcf,[verzeichnis2,'\tar_unilateral_years_GAP'],'eps')
saveas(gcf,[verzeichnis2,'\tar_unilateral_years_GAP'],'pdf')
% save(['result_unilateral_graph_GAP'],'year_vec', 'tar_unilateral_GAP');

figure(110);
plot(year_vec,tar_unilateral_GAP, 'k-',year_vec,tar_unilateral_flex, 'k--','LineWidth',2.5)
ylabel('Tariff')
xlabel('Years')
legend('rigid prices','flexible prices','Location','SouthEast');
saveas(gcf,[verzeichnis2,'\tar_unilateral_years_both'],'eps')
saveas(gcf,[verzeichnis2,'\tar_unilateral_years_both'],'pdf')

% save(['result_unilateral_graph_GAP'],'year_vec', 'tar_unilateral_GAP', 'tar_unilateral_flex');
